Results 1 to 9 of 9

Thread: ./build update_webapps The ionCube PHP Loader is disabled because of startup...

  1. #1
    Join Date
    Feb 2008
    Posts
    133

    Angry ./build update_webapps The ionCube PHP Loader is disabled because of startup...

    /usr/local/directadmin/custombuild# ./build update_webapps
    The ionCube PHP Loader is disabled because of startup problems.

    ?

    /usr/local/directadmin/custombuild# php -v
    The ionCube PHP Loader is disabled because of startup problems.
    PHP 5.3.28 (cli) (built: Feb 26 2014 12:30:37)
    Copyright (c) 1997-2013 The PHP Group
    Zend Engine v2.3.0, Copyright (c) 1998-2013 Zend Technologies
    with the ionCube PHP Loader v4.5.3, Copyright (c) 2002-2014, by ionCube Ltd., and

    It has no problems with running php or the httd?
    could this be an install build install script error?

  2. #2
    Join Date
    Feb 2008
    Posts
    133
    /usr/local/directadmin/custombuild# ./build roundcube
    cp: `/var/www/html/roundcube/logs' and `/var/www/html/roundcubemail-0.9.5/logs' are the same file
    cp: `/var/www/html/roundcube/temp' and `/var/www/html/roundcubemail-0.9.5/temp' are the same file
    Editing roundcube configuration...
    Roundcube 0.9.5 has been installed successfully.
    Executing database schema update.
    The ionCube PHP Loader is disabled because of startup problems.
    The ionCube PHP Loader is disabled because of startup problems.
    This instance of Roundcube is up-to-date.
    Have fun!


    I have to say I do not have a warm feeling with debian and direcvtadmin now. .

  3. #3
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    8,130
    Please try:
    Code:
    cd /usr/local/directadmin/custombuild
    ./build update
    ./build ioncube
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  4. #4
    Join Date
    Feb 2008
    Posts
    133
    MD5 Checksum on libtool-2.4.2.tar.gz passed.
    File already exists: ioncube_loaders_lin_x86-64.tar.gz
    MD5 Checksum on ioncube_loaders_lin_x86-64.tar.gz passed.
    :/usr/local/directadmin/custombuild# ./build ioncube
    File already exists: ioncube_loaders_lin_x86-64.tar.gz
    ionCube loader has been installed.
    :/usr/local/directadmin/custombuild# ./build update_webapps
    The ionCube PHP Loader is disabled because of startup problems.
    :/usr/local/directadmin/custombuild#

    I tried this already..same problem even tried complete reinstall..
    you also see it when you only update roundcube on debian

  5. #5
    Join Date
    Feb 2008
    Posts
    133
    MD5 Checksum on libtool-2.4.2.tar.gz passed.
    File already exists: ioncube_loaders_lin_x86-64.tar.gz
    MD5 Checksum on ioncube_loaders_lin_x86-64.tar.gz passed.
    :/usr/local/directadmin/custombuild# ./build ioncube
    File already exists: ioncube_loaders_lin_x86-64.tar.gz
    ionCube loader has been installed.
    :/usr/local/directadmin/custombuild# ./build update_webapps
    The ionCube PHP Loader is disabled because of startup problems.
    :/usr/local/directadmin/custombuild#

    I tried this already..same problem even tried complete reinstall..
    you also see it when you only update roundcube on debian

  6. #6
    Join Date
    Feb 2008
    Posts
    133
    releated to : http://forum.directadmin.com/showthread.php?t=48467
    after I removed the htscanner=yes enable php-ini=yes in my options conf I could rebuild apahce (with still givein errors btw) but with the rewrite confs I was able to get rid of this problem

  7. #7
    After googling around the error
    Code:
    The ionCube PHP Loader is disabled because of startup problems.
    seems to imply that the module may be loaded twice.. but I'm not too sure.

    Check your php.ini to ensure that there are not two instances of ioncube.
    If you're using fastcgi/php-fpm, it should only exist in:
    Code:
    /usr/local/lib/php.conf.d/directadmin.ini
    which is an additional ini path.
    But if you've just got the default CB2 install, it would be using mod_php (CLI) with mod_ruid2, thus should just be /usr/local/lib/php.ini.

    Either way, ensure the module isn't being loaded twice.

    John

  8. #8
    Join Date
    Apr 2009
    Posts
    2,421
    Quote Originally Posted by DirectAdmin Support View Post
    [..]cut ...[..]
    Check your php.ini to ensure that there are not two instances of ioncube.
    If you're using fastcgi/php-fpm, it should only exist in:
    Code:
    /usr/local/lib/php.conf.d/directadmin.ini
    which is an additional ini path.
    But if you've just got the default CB2 install, it would be using mod_php (CLI) with mod_ruid2, thus should just be /usr/local/lib/php.ini.

    Either way, ensure the module isn't being loaded twice.
    I have to correct you on this. I am using CB2 with mod_php and mod_ruid2, and the ioncube line is actaually not located in /usr/local/lib/php.ini, but it is located in /usr/local/lib/php.conf.d/directadmin.ini

  9. #9
    Join Date
    Sep 2014
    Posts
    52
    Here is a command that will definitely help:

    find / -type f -name "*.ini" -print0 | xargs -0 grep -l ioncube*.*.so

    This will find all INI files in which there is a line to a ioncube*.*.so file

    You should find two ini files and it is not mandatory that is a php.ini...

    I guess there are two lines looking like

    zend_extension=/usr/local/lib/ioncube/ioncube_loader_lin_5.5.so

    in two different INI files that are called one after the other.
    Last edited by jojolafrite; 03-29-2015 at 01:22 PM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •